
QGIS Application - Bug report #8312

Startup tips are in a modal dialogue, but clicking on the main QGIS window does not raise it to the 

top

2013-07-16 05:05 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17105

Description

- Start QGIS with startup tips enabled.

- While QGIS is still starting, activate some other window and cover up the splash screen with it, without covering up the whole screen (if

it has already started, cover up the startup tips window just for the sake of the demonstration).

- Click on the main QGIS window (if necessary resize the window in front if it is covering up the entire QGIS window).  The startup tips

window will not be raised, and because this is a modal window, neither is the main QGIS window.  It is possible to raise it by clicking on it

in the taskbar, but this behaviour would be very confusing for some users.

The options dialog is also modal, but it works correctly:

- Open the options dialog.

- Cover it up with some other program's window.

- Click on the main QGIS window.  The options window is raised as it should be.

Related issues:

Related to QGIS Application - Bug report # 8365: Tips window causes two taskb... Closed 2013-07-26

Associated revisions

Revision 4c24792b - 2015-12-30 10:44 PM - Sebastian Dietrich 

initialize the tip window with the correct parent

eliminates the extra icon in the taskbar (fixes #8365)

establishes correct modal behaviour (fixes #8312)

Revision 95b26663 - 2016-01-27 09:22 PM - Nathan Woodrow

Merge pull request #2509 from SebDieBln/FixTipWindow

initialize tip window with correct parent widget (fixes #8312) (fixes #8365)

History

#1 - 2015-11-28 08:09 AM - Sebastian Dietrich

See PR 2509 for a solution that also fixes #8365.

#2 - 2016-01-12 04:28 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes
https://github.com/qgis/QGIS/pull/2509


- % Done changed from 0 to 100

#3 - 2016-01-27 12:22 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"95b26663f6888764b4dcd7bfbdbd3be72995a074".
